# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'action_notifier/version'

Gem::Specification.new do |spec|
  spec.name          = "action_notifier"
  spec.version       = ActionNotifier::VERSION
  spec.authors       = ["Stan Lo"]
  spec.email         = ["stan001212@gmail.com"]

  spec.summary       = %q{An abstract layer for Rails app to send notifications.}
  spec.description   = %q{An abstract layer for Rails app to send notifications.}
  spec.homepage      = "https://github.com/st0012/action_notifier"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_dependency "activesupport", ">= 5.0"
  spec.add_dependency "actionpack", ">= 5.0"
  spec.add_dependency "httparty"
  spec.add_dependency "slack-notifier"
end
